Panda3D

Loading...
Searching...
No Matches
Functions
camera.I File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

Go to the source code of this file.

## Functions
| CPT (RenderState) Camera
| Returns the initial state as set by a previous call to set_initial_state().

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-02-26

Definition in file camera.I.

## Function Documentation

## ◆ CPT()

CPT | ( | RenderState |  | ) |
| inline

Returns the initial state as set by a previous call to set_initial_state().

Returns a RenderState for rendering the new element during second half of fade.

Returns a RenderState for rendering the old element during second half of fade.

Returns a RenderState for rendering the new element during first half of fade.

Returns a new RenderState object that represents the same as the source state, with the indicated RenderAttrib removed.

Sets the tag key which, when encountered as a tag on nodes in the scene graph, causes this Camera to apply an arbitrary state transition based on the value of the tag (as specified to set_tag_state()).

Returns true if an attrib of the indicated type is present, false otherwise.

Returns true if an attrib of the indicated type is present, false otherwise.

Looks for a RenderAttrib of the indicated type in the state, and returns it if it is found, or NULL if it is not.

Returns the RenderAttrib with the indicated slot index, or NULL if there is no such RenderAttrib in the state.

Returns the RenderAttrib with the indicated slot index, or the default attrib for that slot if there is no such RenderAttrib in the state.

Looks for a RenderAttrib of the indicated type in the state, and returns its override value if it is found, or 0 if it is not.

Looks for a RenderAttrib of the indicated type in the state, and returns its override value if it is found, or 0 if it is not.

Returns the pointer to the unique RenderState in the cache that is equivalent to this one. This may be the same pointer as this object, or it may be a different pointer; but it will be an equivalent object, and it will be a shared pointer. This may be called from time to time to improve cache benefits.

Overrides this method to update PStats appropriately.

Overrides this method to update PStats appropriately.

Overrides this method to update PStats appropriately.

Overrides this method to update PStats appropriately.

Returns the number of entries in the composition cache for this RenderState. This is the number of other RenderStates whose composition with this one has been cached. This number is not useful for any practical reason other than performance analysis.

Returns the number of entries in the invert_composition cache for this RenderState. This is similar to the composition cache, but it records cache entries for the invert_compose() operation. See get_composition_cache_num_entries().

Returns the number of slots in the composition cache for this RenderState. You may use this as an upper bound when walking through all of the composition cache results via get_composition_cache_source() or result().

This has no practical value other than for examining the cache for performance analysis.

Returns the source RenderState of the nth element in the composition cache. Returns NULL if there doesn't happen to be an entry in the nth element. See get_composition_cache_result().

This has no practical value other than for examining the cache for performance analysis.

Returns the result RenderState of the nth element in the composition cache. Returns NULL if there doesn't happen to be an entry in the nth element.

In general, a->compose(a->get_composition_cache_source(n)) == a->get_composition_cache_result(n).

This has no practical value other than for examining the cache for performance analysis.

Returns the number of slots in the composition cache for this RenderState. You may use this as an upper bound when walking through all of the composition cache results via get_invert_composition_cache_source() or result().

This has no practical value other than for examining the cache for performance analysis.

Returns the source RenderState of the nth element in the invert composition cache. Returns NULL if there doesn't happen to be an entry in the nth element. See get_invert_composition_cache_result().

This has no practical value other than for examining the cache for performance analysis.

Returns the result RenderState of the nth element in the invert composition cache. Returns NULL if there doesn't happen to be an entry in the nth element.

In general, a->invert_compose(a->get_invert_composition_cache_source(n)) == a->get_invert_composition_cache_result(n).

This has no practical value other than for examining the cache for performance analysis.

Returns the draw order indicated by the CullBinAttrib, if any, associated by this state (or 0 if there is no CullBinAttrib). See get_bin_index().

Returns the bin index indicated by the CullBinAttrib, if any, associated by this state (or the default bin index if there is no CullBinAttrib). This function is provided as an optimization for determining this at render time.

This function should only be called from the destructor; it indicates that this RenderState object is beginning destruction. It is only used as a sanity check, and is only meaningful when NDEBUG is not defined.

Definition at line 172 of file camera.I.